# $Id: perl-Net-UPnP.spec 4245 2006-03-26 21:29:30Z dries $
# Authority: dries
# Upstream: Satoshi Konno <skonno$cybergarage,org>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-UPnP

Summary: Extension for UPnP
Name: perl-Net-UPnP
Version: 1.2.1
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-UPnP/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/SK/SKONNO/Net-UPnP-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Perl extension for UPnP.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/UPnP.pm
%{perl_vendorlib}/Net/UPnP/

%changelog
* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 1.2.1-1 - 4245/dries
- Updated to release 1.2.1.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.1.2-1.2
- Rebuild for Fedora Core 5.

* Sat Jan  7 2006 Dries Verachtert <dries@ulyssis.org> - 1.1.2-1
- Updated to release 1.1.2.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.1-1
- Initial package.
